Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class DefaultUnknownHandlerManager

    java.lang.Object
      com.opensymphony.xwork2.DefaultUnknownHandlerManager

All Implemented Interfaces:
  UnknownHandlerManager

    public class DefaultUnknownHandlerManager

extends java.lang.Object
implements UnknownHandlerManager

Default implementation of UnknownHandlerManager

See Also:
  `UnknownHandlerManager`

Field Summary
`protected java.util.ArrayList<UnknownHandler>` | `unknownHandlers`

Constructor Summary
`DefaultUnknownHandlerManager()`

Method Summary
`protected void` | `build()` Builds a list of UnknowHandlers in the order specified by the configured "unknown-handler-stack".
`java.util.List<UnknownHandler>` | `getUnknownHandlers()`
`ActionConfig` | `handleUnknownAction(java.lang.String namespace, java.lang.String actionName)` Iterate over UnknownHandlers and return the result of the first one that can handle it
`java.lang.Object` | `handleUnknownMethod(java.lang.Object action, java.lang.String methodName)` Iterate over UnknownHandlers and return the result of the first one that can handle it
`Result` | `handleUnknownResult(ActionContext actionContext, java.lang.String actionName, ActionConfig actionConfig, java.lang.String resultCode)` Iterate over UnknownHandlers and return the result of the first one that can handle it
`boolean` | `hasUnknownHandlers()`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setContainer(Container container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unknownHandlers

    protected java.util.ArrayList<UnknownHandler> unknownHandlers

Constructor Detail

### DefaultUnknownHandlerManager

    public DefaultUnknownHandlerManager()

Method Detail

### setConfiguration

    public void setConfiguration(Configuration configuration)

### setContainer

    public void setContainer(Container container)

### build

    protected void build()

  Builds a list of UnknowHandlers in the order specified by the configured "unknown-handler-stack". If "unknown-handler-stack" was not configured, all UnknowHandlers will be returned, in no specific order

### handleUnknownResult

    public Result handleUnknownResult(ActionContext actionContext,
                                      java.lang.String actionName,
                                      ActionConfig actionConfig,
                                      java.lang.String resultCode)

  Iterate over UnknownHandlers and return the result of the first one that can handle it

  Specified by:
    `handleUnknownResult` in interface `UnknownHandlerManager`

### handleUnknownMethod

    public java.lang.Object handleUnknownMethod(java.lang.Object action,
                                                java.lang.String methodName)
                                         throws java.lang.NoSuchMethodException

  Iterate over UnknownHandlers and return the result of the first one that can handle it

  Specified by:
    `handleUnknownMethod` in interface `UnknownHandlerManager`
  Throws:
    `java.lang.NoSuchMethodException`

### handleUnknownAction

    public ActionConfig handleUnknownAction(java.lang.String namespace,
                                            java.lang.String actionName)

  Iterate over UnknownHandlers and return the result of the first one that can handle it

  Specified by:
    `handleUnknownAction` in interface `UnknownHandlerManager`
  Throws:
    `java.lang.NoSuchMethodException`

### hasUnknownHandlers

    public boolean hasUnknownHandlers()

  Specified by:
    `hasUnknownHandlers` in interface `UnknownHandlerManager`

### getUnknownHandlers

    public java.util.List<UnknownHandler> getUnknownHandlers()

  Specified by:
    `getUnknownHandlers` in interface `UnknownHandlerManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.